Skip to main content
Retrieve a single affiliate by id for a account.
GET https://services.leadconnectorhq.com/affiliate-manager/{locationId}/affiliates/{affiliateId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
affiliateId
string
default:"ve9EPM428h8vShlRW1KT"
required
Affiliate Id

Respuestas

_id
string
default:"63d147176c5bbc30e9e091a4"
required
Affiliate id
firstName
string
default:"John"
Affiliate first name
lastName
string
default:"Doe"
Affiliate last name
phone
string
default:"+1 888 888-8888"
Affiliate phone number
deleted
boolean
default:"False"
Whether the affiliate is deleted
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account id
active
boolean
default:"True"
Whether the affiliate is active
address
string
default:"123 Main St"
Affiliate address
avatar
string
default:"https://example.com/avatar.png"
Affiliate avatar URL
createdAt
string
default:"2024-06-16T00:00:00.000Z"
Created at timestamp
createdBy
object
Created by audit info
facebookUrl
string
default:"https://facebook.com/johndoe"
Facebook URL
instagramUrl
string
default:"https://instagram.com/johndoe"
Instagram URL
linkedInUrl
string
default:"https://linkedin.com/in/johndoe"
LinkedIn URL
twitterUrl
string
default:"https://twitter.com/johndoe"
Twitter URL
youtubeUrl
string
default:"https://youtube.com/channel"
YouTube URL
websiteUrl
string
default:"https://example.com"
Website URL
contactId
string
default:"ve9EPM428h8vShlRW1KT"
Contact id associated with the affiliate
campaignIds
string[]
Campaign ids
vatId
string
default:"VAT123"
VAT ID
updatedAt
string
default:"2024-06-16T00:00:00.000Z"
Updated at timestamp
w8Form
string
W8 form URL
w9Form
string
W9 form URL
lastUpdatedBy
object
Last updated by audit info
email
string
default:"john.doe@example.com"
required
Affiliate email
revenue
number
default:"1250.5"
Affiliate revenue
customer
number
default:"15"
Customer count
lead
number
default:"5"
Lead count
droppedCustomer
number
default:"2"
Dropped customer count
clickCount
number
default:"100"
Click count
paid
number
default:"500"
Paid amount
currency
string
default:"USD"
Currency code
owned
number
default:"750"
Owned amount
{
  "_id": "63d147176c5bbc30e9e091a4",
  "firstName": "John",
  "lastName": "Doe",
  "phone": "+1 888 888-8888",
  "deleted": false,
  "locationId": "ve9EPM428h8vShlRW1KT",
  "active": true,
  "address": "123 Main St",
  "avatar": "https://example.com/avatar.png",
  "createdAt": "2024-06-16T00:00:00.000Z",
  "createdBy": {},
  "facebookUrl": "https://facebook.com/johndoe",
  "instagramUrl": "https://instagram.com/johndoe",
  "linkedInUrl": "https://linkedin.com/in/johndoe",
  "twitterUrl": "https://twitter.com/johndoe",
  "youtubeUrl": "https://youtube.com/channel",
  "websiteUrl": "https://example.com",
  "contactId": "ve9EPM428h8vShlRW1KT",
  "campaignIds": [
    "650173614761b33c46d33b19"
  ],
  "vatId": "VAT123",
  "updatedAt": "2024-06-16T00:00:00.000Z",
  "w8Form": "string",
  "w9Form": "string",
  "lastUpdatedBy": {},
  "email": "john.doe@example.com",
  "revenue": 1250.5,
  "customer": 15,
  "lead": 5,
  "droppedCustomer": 2,
  "clickCount": 100,
  "paid": 500,
  "currency": "USD",
  "owned": 750
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates/YOUR_affiliateId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates/YOUR_affiliateId', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates/YOUR_affiliateId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates/YOUR_affiliateId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);